package com.ruoyi.ems.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 能源子系统对象 adm_ems_subsystem
 * 
 * @author ruoyi
 * @date 2024-08-16
 */
public class EmsSubsystem extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 系统代码 */
    @Excel(name = "系统代码")
    private String systemCode;

    /** 系统名称 */
    @Excel(name = "系统名称")
    private String systemName;

    /** 系统简称 */
    @Excel(name = "系统简称")
    private String shortName;

    /** 厂商 */
    @Excel(name = "厂商")
    private String manFacturer;

    /** 联系人 */
    @Excel(name = "联系人")
    private String contactPerson;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String contactNumber;

    /** 维护人 */
    @Excel(name = "维护人")
    private String maintainerPerson;

    /** 维护电话 */
    @Excel(name = "维护电话")
    private String maintainerNumber;

    /** 备注说明 */
    @Excel(name = "备注说明")
    private String descr;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSystemCode(String systemCode) 
    {
        this.systemCode = systemCode;
    }

    public String getSystemCode() 
    {
        return systemCode;
    }
    public void setSystemName(String systemName) 
    {
        this.systemName = systemName;
    }

    public String getSystemName() 
    {
        return systemName;
    }
    public void setShortName(String shortName) 
    {
        this.shortName = shortName;
    }

    public String getShortName() 
    {
        return shortName;
    }
    public void setManFacturer(String manFacturer) 
    {
        this.manFacturer = manFacturer;
    }

    public String getManFacturer() 
    {
        return manFacturer;
    }
    public void setContactPerson(String contactPerson) 
    {
        this.contactPerson = contactPerson;
    }

    public String getContactPerson() 
    {
        return contactPerson;
    }
    public void setContactNumber(String contactNumber) 
    {
        this.contactNumber = contactNumber;
    }

    public String getContactNumber() 
    {
        return contactNumber;
    }
    public void setMaintainerPerson(String maintainerPerson) 
    {
        this.maintainerPerson = maintainerPerson;
    }

    public String getMaintainerPerson() 
    {
        return maintainerPerson;
    }
    public void setMaintainerNumber(String maintainerNumber) 
    {
        this.maintainerNumber = maintainerNumber;
    }

    public String getMaintainerNumber() 
    {
        return maintainerNumber;
    }
    public void setDescr(String descr) 
    {
        this.descr = descr;
    }

    public String getDescr() 
    {
        return descr;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("systemCode", getSystemCode())
            .append("systemName", getSystemName())
            .append("shortName", getShortName())
            .append("manFacturer", getManFacturer())
            .append("contactPerson", getContactPerson())
            .append("contactNumber", getContactNumber())
            .append("maintainerPerson", getMaintainerPerson())
            .append("maintainerNumber", getMaintainerNumber())
            .append("descr", getDescr())
            .toString();
    }
}
